> This page is for Itential Platform On-Prem, version 6 (default).
> For other versions, use one of these documentation indexes:
> - 6 (default): https://docs-test.itntl.com/itential-platform/6/llms.txt
> - 2023.2: https://docs-test.itntl.com/itential-platform/2023-2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# List all applications

GET https://example.itential.io/applications

Returns all applications in Itential Platform.

Reference: https://docs-test.itntl.com/itential-platform/6/api-reference/applications/get-applications

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `contains` (string, optional) — contains
- `containsField` (string, optional) — containsField
- `equals` (string, optional) — equals
- `equalsField` (string, optional) — equalsField
- `startsWith` (string, optional) — startsWith
- `startsWithField` (string, optional) — startsWithField
- `skip` (integer, optional, default: 0) — skip
- `limit` (integer, optional, default: 25) — limit
- `sort` (enum, optional, default: name) — sort
  - Allowed values: `name`
- `order` (enum, optional, default: 1) — order
  - Allowed values: `-1`, `1`

## Response

### 200

Contains an array of applications and the total in the response.

- `results` (list of ApplicationsGetResponsesContentApplicationJsonSchemaResultsItems, optional)
- `total` (integer, optional) — The total number of documents

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### ApplicationsGetResponsesContentApplicationJsonSchemaResultsItems

- `metadata` (ApplicationsGetResponsesContentApplicationJsonSchemaResultsItemsMetadata, optional)
- `data` (iap_services-schema, optional) — All of the properties required for a service.

### ApplicationsGetResponsesContentApplicationJsonSchemaResultsItemsMetadata

### iap_services-schema

All of the properties required for a service.

### ApplicationsGetResponsesContentApplicationJsonSchemaResultsItemsMetadata0

- `isActive` (boolean, optional) — Is profile the active profile.
- `activeSync` (boolean, optional) — Is active profile in sync with the system.

### ApplicationsGetResponsesContentApplicationJsonSchemaResultsItemsMetadata1

- `isActive` (boolean, optional) — Is profile the active profile.

### IapServicesSchema0

- `type` (any, optional)
- `properties` (IapServicesSchemaOneOf0, optional)

### IapServicesSchema1

- `type` (any, optional)
- `properties` (IapServicesSchemaOneOf1, optional)

### IapServicesSchemaOneOf0

### IapServicesSchemaOneOf1

- `id` (string, required, default: ) — The id for the service
- `type` (string, required, default: ) — The type of service
- `properties` (IapServicesSchemaOneOf1, required)
- `brokers` (list of enum, required) — Brokers which utilize this service
  - Allowed values: `aaa`, `compliance`, `device`, `fault`, `instance`, `inventory`, `method`, `notification`, `performance`, `persistence`, `service`, `topology`
- `groups` (list of string, required) — Groups which can use this service

## Examples

**Response**

```json
{
  "results": [
    {
      "metadata": {
        "activeSync": true,
        "isActive": true
      },
      "data": {
        "properties": {},
        "type": null
      }
    }
  ],
  "total": 1
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/applications"

querystring = {"contains":"redis","containsField":"name","equals":"redis","equalsField":"name","limit":"1","skip":"1","startsWith":"redis","startsWithField":"name"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/applications?contains=redis&containsField=name&equals=redis&equalsField=name&limit=1&skip=1&startsWith=redis&startsWithField=name';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/applications?contains=redis&containsField=name&equals=redis&equalsField=name&limit=1&skip=1&startsWith=redis&startsWithField=name"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/applications?contains=redis&containsField=name&equals=redis&equalsField=name&limit=1&skip=1&startsWith=redis&startsWithField=name")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/applications?contains=redis&containsField=name&equals=redis&equalsField=name&limit=1&skip=1&startsWith=redis&startsWithField=name")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/applications?contains=redis&containsField=name&equals=redis&equalsField=name&limit=1&skip=1&startsWith=redis&startsWithField=name');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/applications?contains=redis&containsField=name&equals=redis&equalsField=name&limit=1&skip=1&startsWith=redis&startsWithField=name");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/applications?contains=redis&containsField=name&equals=redis&equalsField=name&limit=1&skip=1&startsWith=redis&startsWithField=name")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```